#include "allegroall.h"
#include <string>

#ifndef CONFIG_LIB_H_INCLUDED
#define CONFIG_LIB_H_INCLUDED

int GetConfigInt(ALLEGRO_CONFIG *cfg, char *section, char *name, int def);
const char *GetConfigStr(ALLEGRO_CONFIG *cfg, char *section, char *name, char *def);
std::string GetConfigString(ALLEGRO_CONFIG *cfg, char *section, char *name, std::string def);
float GetConfigFloat(ALLEGRO_CONFIG *cfg, char *section, char *name, float def);


#endif
